Threads
Delete a message
Deletes a single message from a thread.
DELETE
/v1/threads/{thread_id}/messages/{message_id}Authorization
APIKeyHeader api-key<token>
In: header
Path Parameters
thread_id*Thread Id
Format
uuidmessage_id*Message Id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{ "error_code": "thread_is_deactivated", "detail": "Thread is deactivated"}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "message_not_found", "detail": "Message not found"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}